=== debian/tests/control ===
Tests: hello-world
Depends: @, build-essential
Restrictions: allow-stderr, superficial

Tests: regression-test
Depends: @, build-essential
Restrictions: allow-stderr, needs-root
