=== debian/rules ===
--- 
+++ 
@@ -108,6 +108,17 @@
 	# rm bootstrap dir
 	rm -rf $(CURDIR)/bootstrap
 
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	# cross-building!
+	# move "target" (host) tools to appropriate places for install
+	# and remove "native" (build) tools/packages
+	set -eux; \
+		eval "$$(debian/helpers/goenv.sh bin/go tool dist env)"; \
+		mv bin/$${GOOS}_$${GOARCH}/go* bin; \
+		rmdir bin/$${GOOS}_$${GOARCH}; \
+		rm -rf pkg/$${GOHOSTOS}_$${GOHOSTARCH} pkg/tool/$${GOHOSTOS}_$${GOHOSTARCH}/
+endif
+
 override_dh_auto_test-arch:
 	set -ex; \
 		cd src; \
