## golang-1.25 1.25.7

=== debian/changelog ===
golang-1.25 (1.25.7-2) unstable; urgency=medium

  * Team upload.
  * Skip TestTSAN test on s390x.
    The test consistently fails, and is probably a real bug.
    It's currently being investigated, but until that is
    resolved, we disable the test to be able to build the
    golang package, so it can migrate to testing and
    fix lots of other bugs and CVEs.
    See https://github.com/golang/go/issues/77289
  * Remove golang-1.25-go:native from Build-Depends.
    This is hopefully a temporary measure to allow the buildds
    to use golang-1.24 for building this package. The build on
    loong64 is not possible due to a missing golang-1.25-go:loong64
    package. After this package has been built on loong64,
    golang-1.25 could be re-added to Build-Depends.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 09 Feb 2026 21:27:17 +0100

golang-1.25 (1.25.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.25.7
    - Refresh patches
    - New patch: Replace localhostCert and localhostKey. New they are
      valid until 2084, so that this package will not FTBFS during
      the forky release. (Closes: #1127117)
    - CVE-2025-61732: https://go.dev/issue/76697
      cmd/go: potential code smuggling using doc comments

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Feb 2026 14:15:13 +0100
