=== debian/rules ===
--- 
+++ 
@@ -138,6 +138,6 @@
 		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"
 
 opt_no_act :=
-ifneq (,$(findstring n,$(MAKEFLAGS)))
+ifneq (,$(findstring n,$(firstword -$(MAKEFLAGS))))
 	opt_no_act := --no-act
 endif
